# Class TabixIndexCreator

java.lang.Object
htsjdk.tribble.index.tabix.TabixIndexCreator

All Implemented Interfaces:
  `IndexCreator`

public class TabixIndexCreator extends Object implements IndexCreator
IndexCreator for Tabix. Features are expected to be 1-based, inclusive.

## Constructor Summary

Constructors
Constructor
Description
`TabixIndexCreator(SAMSequenceDictionary sequenceDictionary, TabixFormat formatSpec)`
`TabixIndexCreator(TabixFormat formatSpec)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFeature(Feature feature, long filePosition)`
Add a feature to the index
`Index`
`finalizeIndex(long finalFilePosition)`
Create the index, given the stream of features passed in to this point

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface IndexCreator

`setIndexSequenceDictionary`

## Constructor Details

### TabixIndexCreator

public TabixIndexCreator(SAMSequenceDictionary sequenceDictionary, TabixFormat formatSpec)

Parameters:
  `sequenceDictionary` - is not required, but if present all features added must refer to sequences in the dictionary. It is used to optimize the memory needed to build the index.

### TabixIndexCreator

public TabixIndexCreator(TabixFormat formatSpec)

## Method Details

### addFeature

public void addFeature(Feature feature, long filePosition)
Description copied from interface: `IndexCreator`
Add a feature to the index

Specified by:
  `addFeature` in interface `IndexCreator`
Parameters:
  `feature` - the feature, of which start, end, and contig must be filled in
  `filePosition` - the current file position, at the beginning of the specified feature

### finalizeIndex

public Index finalizeIndex(long finalFilePosition)
Description copied from interface: `IndexCreator`
Create the index, given the stream of features passed in to this point

Specified by:
  `finalizeIndex` in interface `IndexCreator`
Parameters:
  `finalFilePosition` - the final file position, for indexes that have to close out with the final position
Returns:
  an index object